<!DOCTYPE html>
<html>

<head>
  <title>knq-calendar Web Component</title>
  <script type="module" src="./knq-calendar.js"></script>
  <style>
    body {
      color: #212121;
      font-size: 13px;
      font-family: 'Helvetica Neue', sans-serif;
      background: #ECEFF1;
      padding: 2em;
      display: flex;
      align-items: center;
      justify-content: center;
      flex-wrap: wrap;
      padding: 100px;
    }
    knq-calendar {
      margin: 10px;
    }
    #calendar1 {
      background: white;
    }
    #calendar2 {
      background: #b2ebf2;
    }
    .Header1 {
      display: flex;
      align-items: center;
      justify-content: center;
      padding: 8px 0;
    }
    .header-name {
      margin: 0 16px;
    }
    .Cell1 {
      display: flex;
      align-items: flex-end;
      justify-content: flex-end;
      font-size: 24px;
      padding: 6px;
      width: 40px;
      height: 40px;
      border: 1px solid gray;
    }
    .Cell1[disabled] {
      background: gray;
    }
    .Cell1[selected] {
      background: yellow;
    }
    .CellHeader1 {
      display: flex;
      align-items: flex-end;
      justify-content: flex-start;
      color: red;
      font-size: 32px;
      padding-top: 16px;
      border-bottom: 6px solid red;
    }
    .Cell2 {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: flex-start;
      padding: 6px;
      width: 40px;
      height: 40px;
    }
    .Cell2 header {
      position: relative;
      display: flex;
      align-items: center;
      line-height: 1em;
      margin-bottom: 8px;
    }
    .Cell2 .selected-point {
      display: none;
    }
    .Cell2[selected] .selected-point {
      position: absolute;
      display: block;
      border-radius: 50%;
      width: 8px;
      height: 8px;
      background: deeppink;
      right: -8px;
    }
    .Cell2 .job {
      width: 100%;
      padding: 2px 4px;
      border-radius: 12px;
      font-size: 10px;
      display: flex;
      color: white;
      align-items: center;
      justify-content: center;
      text-align: center;
    }
  </style>
</head>

<body>
  <script type="module" src="./demo/demo.js"></script>
</body>

</html>